#!/usr/bin/env bash
set -eu

# Variables
GCC_COMMAND=arm-none-eabi-gcc
QEMU_COMMAND=qemu-system-arm

: "install $GCC_COMMAND" && {

  if type $GCC_COMMAND > /dev/null 2>&1; then
    echo "It seems $GCC_COMMAND exists. skip install."
  else
    sudo apt-get update
    apt-get install -y gcc-arm-none-eabi gdb-arm-none-eabi
  fi
}

: "install $QEMU_COMMAND and related packages" && {
  if type $QEMU_COMMAND > /dev/null 2>&1; then
    echo "$QEMU_COMMAND already exists. skip install."
  else
    sudo apt-get update
    sudo apt-get install -y qemu-system-arm libpython2.7 libncurses5
  fi
}

exit 0

